
From: Geert Uytterhoeven <geert@linux-m68k.org>

When compiling the IPMI drivers on m68k, I needed a few more includes:

  - <asm/irq.h> (for disable_irq_nosync() and enable_irq())

  - <linux/types.h> (for size_t)

  - <asm/system.h> (for printk())



---

 drivers/char/ipmi/ipmi_kcs_intf.c |    1 +
 drivers/char/ipmi/ipmi_kcs_sm.c   |    3 +++
 2 files changed, 4 insertions(+)

diff -puN drivers/char/ipmi/ipmi_kcs_intf.c~ipmi-warning-fixes drivers/char/ipmi/ipmi_kcs_intf.c
--- 25/drivers/char/ipmi/ipmi_kcs_intf.c~ipmi-warning-fixes	2004-02-19 13:17:36.000000000 -0800
+++ 25-akpm/drivers/char/ipmi/ipmi_kcs_intf.c	2004-02-19 13:17:36.000000000 -0800
@@ -55,6 +55,7 @@
 #include <linux/rcupdate.h>
 #include <linux/ipmi_smi.h>
 #include <asm/io.h>
+#include <asm/irq.h>
 #include "ipmi_kcs_sm.h"
 #include <linux/init.h>
 
diff -puN drivers/char/ipmi/ipmi_kcs_sm.c~ipmi-warning-fixes drivers/char/ipmi/ipmi_kcs_sm.c
--- 25/drivers/char/ipmi/ipmi_kcs_sm.c~ipmi-warning-fixes	2004-02-19 13:17:36.000000000 -0800
+++ 25-akpm/drivers/char/ipmi/ipmi_kcs_sm.c	2004-02-19 13:17:36.000000000 -0800
@@ -37,8 +37,11 @@
  * that document.
  */
 
+#include <linux/types.h>
+
 #include <asm/io.h>
 #include <asm/string.h>		/* Gets rid of memcpy warning */
+#include <asm/system.h>
 
 #include "ipmi_kcs_sm.h"
 

_
